Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86051 - proxy arp does not work
Summary: proxy arp does not work
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-13 08:52 UTC by Luiz Felipe Silva
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-16 07:26:44 UTC


Attachments (Terms of Use)

Description Luiz Felipe Silva 2003-03-13 08:52:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
Before upgrading I was using kernel 2.4.18-14 that comes on the default 
instalation of RH8, after upgrading to 2.4.18-26.8.0 proxyarp did stop working.

I'm proxy arping packets from eth0 (comes from cisco router) to eth1 (internal 
network).

I have the following config in my rc.local

echo 0 > /proc/sys/net/ipv4/tcp_sack
echo 0 > /proc/sys/net/ipv4/tcp_timestamps

/sbin/ip route del x.y.z.0/28 dev eth0
/sbin/ip route add x.y.z.1 dev eth0
/sbin/ip route add x.y.x.2 dev eth0
/sbin/ip route add x.y.z.0/28 dev eth1

/bin/echo 1 > /proc/sys/net/ipv4/conf/eth0/proxy_arp
/bin/echo 1 > /proc/sys/net/ipv4/conf/eth1/proxy_arp

/bin/echo 1 > /proc/sys/net/ipv4/ip_forward

eth0 runs ip x.y.z.2 and the router runs x.y.z.1. all other hosts are attached 
to eth1


Version-Release number of selected component (if applicable):
kernel-2.4.18-26.8.0

How reproducible:
Always

Steps to Reproduce:
1. install the new kernel
2. run the standard configuration for proxy arp
    

Actual Results:  RH Kernel did not respond to arp requests on eth0 that are 
available on eth1, actualy proxy arping them.

Expected Results:  Those arp requests should be answerd by the linux machine.

Additional info:

Comment 1 Arjan van de Ven 2003-03-13 20:38:18 UTC
nothing changed in this area in the -14 to -26 update......

what network driver is this?

Comment 2 Luiz Felipe Silva 2003-03-14 02:26:11 UTC
On the eth0 (receiving packets from cisco) is a RealTek 8139B (8139too) and on 
the eth1 (internal net) is an Intel EtherExpressPRO 10/100 (eepro100).

Comment 3 Luiz Felipe Silva 2003-03-16 07:26:44 UTC
Sorry for wasting your time, there was a problem with cisco's arp cache, when I 
was exchanging the ethernet cables the arp address changed too leading to this 
problem... Sorry!


Note You need to log in before you can comment on or make changes to this bug.